	<div id="price_tiers" class="tab_content">
	<h3>Price Tiers</h3>
	<p>Price tiers allows you to select discounts to be applied to specific customer groups</h3></p>

	<script type="text/javascript" src="modules/plugins/price_tiers/js/jquery-1.11.2.min.js"></script>

	<script type="text/javascript">

		$(function() {
			var addDiv = $('#addinput');
			var i = {$PRICE_TIERS_TOTAL + 1};

			$('#addNew').on('click', function() {

				$('<li><p><input type="text" id="p_new" size="20" name="p_new['+ i +']" value="" placeholder="Order Value" /> <input type="text" id="discount_rate" size="20" name="discount_rate['+ i +']" value="" placeholder="Discount Rate" /> <a href="#" id="remNew"><img alt="Add" src="modules/plugins/price_tiers/images/delete.png"></a> </p></li>').appendTo(addDiv);
				i++;

				return false;
			});

			$('#remNew').on('click', function() {
			
					$(this).parents('li').remove();
					i--;
					
					if(i<1){
						i=1;
					}
				
				return false;
			});
		});
		

	</script>
	
<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">	

	<input type="hidden" name="module[general_tab]" value="general_tab">

	<fieldset><legend>Configuration Settings</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>	
	
	<fieldset><legend>License Information</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
	</fieldset>
	
	<fieldset><legend>Customer Group</legend>
		
	<div>
	<label for="customer_group">Customer Group</label>
	<span>
	<select name="module[customer_group]" id="customer_group" onchange="this.form.submit()">
	{if isset($CUSTOMER_GROUPS)}

		<option value="All">All</option>

		{foreach from=$CUSTOMER_GROUPS item=group}
			<option value="{$group.group_id}" {if $group.group_id == $SELECTED_CUSTOMER_GROUP}selected="yes"{/if}>{$group.group_name}</option>
		{/foreach}

	{else}
		<option value="All">All</option>
	{/if}

	</select>
	</span>
	</div>	
	</fieldset>


<input type="hidden" name="token" value="{$SESSION_TOKEN}" />

  <div class="form_control">
	<input type="submit" name="save" value="{$LANG.common.save}" />
  </div>

</form>

<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">			

	<input type="hidden" name="customer_group" value="{$SELECTED_CUSTOMER_GROUP}">

	<fieldset><legend>Configuration Settings</legend>
		
		<div>
		<label for="value_type">Discount Type</label>
		<span>
		<select name="value_type" id="value_type">
			<option value="fixed" {if ($SELECTED_DISCOUNT_TYPE == "fixed")} selected="yes"{/if}>Fixed Price Discount</option>
			<option value="percentage" {if ($SELECTED_DISCOUNT_TYPE == "percentage")} selected="yes"{/if}>Percentage Discounts</option>
		</select>
		</span>
		</div>
	</fieldset>	
	
	<fieldset><legend>Price Tiers for {$SELECTED_CUSTOMER_GROUP_NAME}</legend>
		<ol>   
		{if isset($PRICE_TIERS)}
			{foreach from=$PRICE_TIERS item=tier}
				{if $tier.id == $PRICE_TIERS_FIRST}
					<li>
					<p>
					<input type="text" id="p_new" size="20" name="p_new[0]" value="{$tier.order_value}" placeholder="Order Value"/>
					<input type="text" id="discount_rate" size="20" name="discount_rate[0]" value="{$tier.discount_rate}" placeholder="Discount Rate" />
					<a href="#" id="addNew"><img alt="Add" src="modules/plugins/price_tiers/images/add.png"></a>
					</p>
					</li>
				{else}
					<li>
					<p>
					<input type="text" id="p_new" size="20" name="p_new[{$tier.id}]" value="{$tier.order_value}" placeholder="Order Value" /> 
					<input type="text" id="discount_rate" size="20" name="discount_rate[{$tier.id}]" value="{$tier.discount_rate}" placeholder="Discount Rate" /> 
					<a href="#" id="remNew"><img alt="Add" src="modules/plugins/price_tiers/images/delete.png"></a> 
					</p>
					</li>
				{/if}
			{/foreach}
			
		{else}
			<li>
			<p>
			<input type="text" id="p_new" size="20" name="p_new[0]" value="" placeholder="Order Value" />
			<input type="text" id="discount_rate" size="20" name="discount_rate[0]" value="" placeholder="Discount Rate" />
			<a href="#" id="addNew"><img alt="Add" src="admin/skins/default/images/add.png"></a>
			</p>
			</li>
		{/if}
		<div id="addinput"></div>
		</ol>
	</fieldset>
	
	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{$PLUGIN_MESSAGES}
	</fieldset>
			
	
	<fieldset><legend>Available Variables For use in your product page template</legend>
		<div><span><b>&#123;$DISCOUNT_CART_TOTAL&#125;</b> Shows the cart total on the product page when initially loaded </span></div>
		<div><span><b>&#123;$DISCOUNT_TIER_X_VALUE&#125;</b> Shows the title of the price tier, replace X with numbers 1 through 9 </span></div>
		<div><span><b>&#123;$DISCOUNT_TIER_X_DISCOUNT_RATE&#125;</b> Shows the discount rate as either percentage or monetary value, replace X with numbers 1 through 9 </span></div>
		<div><span><b>&#123;$DISCOUNT_TIER_X_PRODUCT_PRICE_EACH&#125;</b> Shows the price per unit based on tier spend level, replace X with numbers 1 through 9 </span></div>
	
	
	</fieldset>

  </div>
  
  
  <div id="install_guide" class="tab_content">
	<h3>How to Install This Module</h3>
	<p>If installing this module for the first time, or after updating your store you should run through the steps below to ensure the module continues to work correctly</p>
	<p>Support is avaialble from <A HREF="HTTP://www.noodleman.co.uk/support">http://www.noodleman.co.uk/support</a> should you require any assistance</p>
	
	<ol>
	
	<li><b>Edit orders.index.inc.php</b><p>Open the file &quot;admin/sources/orders.index.inc.php&quot; with your favourite text editor.
		<br/>AROUND LINE NUMBER 145 FIND:
<textarea style="width:100%; height:40px;">
$order_status = $order->orderStatus($_POST['order']['status'], $order_id);
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:40px;">
foreach ($GLOBALS['hooks']->load('admin.order.index.post_process_discount') as $hook) include $hook;
</textarea>	
		</li>		
	
	
	<br/><br/>
	
	<li><b>Edit cart.class.php</b><p>Open the file &quot;classes/cart.class.php&quot; with your favourite text editor. 
	<br/>AROUND LINE NUMBER 1149 FIND:
<textarea style="width:100%; height:40px;">
private function _applyDiscounts() {
</textarea>
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:40px;">
foreach ($GLOBALS['hooks']->load('class.cart.discounts_ndl') as $hook) include $hook;
</textarea>
	</li>		
	
	<br/><br/>
	

		<li><b>Edit gui.class.php</b><p>Open the file &quot;classes/gui.class.php&quot; with your favourite text editor.
		<br/>AROUND LINE NUMBER 360 FIND:
<textarea style="width:100%; height:45px;">
$GLOBALS['smarty']->assign('CONTENTS', $vars['contents']);
$GLOBALS['smarty']->assign('CART_ITEMS', $basket_items);
</textarea>	
ON A NEW LINE AFTER ADD:
<textarea style="width:100%; height:25px;">
foreach ($GLOBALS['hooks']->load('class.gui.totals') as $hook) include $hook;
</textarea>	
		</li>
	
	<br/><br/>
	
	
		<li><b>Edit content.product.php</b><p>Open the file &quot;skins/YOURSKIN/templates/content.product.php&quot; with your favourite text editor.<br>Note that this following code is an example to show how the discount information can be displayed on the product page. this example was written for the kurouto skin. You will need to build your own html code to make this fit with your stores skin.
		<br/>ADD IN A SUITABLE PLACE:
<textarea style="width:100%; height:1350px;">
{literal}{if isset($DISCOUNT_TIER_1_VALUE)}
<div>
<h2>Discounts</h2>  
<div>
<table> 
	<thead>
	<tr>
	<td style="width:80px;"><b>Total Spend<b/></td>
	<td style="width:80px;"><b>Discount</b></td>
	<td style="width:80px;"><b>Price Each</b></td>
	</tr>
	</thead>
	
	<tbody>
	
	<tr>
	<td>{$DISCOUNT_TIER_1_VALUE}</td>
	<td>{$DISCOUNT_TIER_1_DISCOUNT_RATE}</td>
	<td>{$DISCOUNT_TIER_1_PRODUCT_PRICE_EACH}</td>
	</tr>
	
	{if isset($DISCOUNT_TIER_2_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_2_VALUE}</td>
		<td>{$DISCOUNT_TIER_2_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_2_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}
	
	{if isset($DISCOUNT_TIER_3_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_3_VALUE}</td>
		<td>{$DISCOUNT_TIER_3_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_3_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}

	{if isset($DISCOUNT_TIER_4_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_4_VALUE}</td>
		<td>{$DISCOUNT_TIER_4_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_4_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}

	{if isset($DISCOUNT_TIER_5_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_5_VALUE}</td>
		<td>{$DISCOUNT_TIER_5_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_5_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}

	{if isset($DISCOUNT_TIER_6_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_6_VALUE}</td>
		<td>{$DISCOUNT_TIER_6_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_6_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}

	{if isset($DISCOUNT_TIER_7_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_7_VALUE}</td>
		<td>{$DISCOUNT_TIER_7_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_7_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}

	{if isset($DISCOUNT_TIER_8_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_8_VALUE}</td>
		<td>{$DISCOUNT_TIER_8_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_8_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}

	{if isset($DISCOUNT_TIER_9_VALUE)}
		<tr>
		<td>{$DISCOUNT_TIER_9_VALUE}</td>
		<td>{$DISCOUNT_TIER_9_DISCOUNT_RATE}</td>
		<td>{$DISCOUNT_TIER_9_PRODUCT_PRICE_EACH}</td>
		</tr>
	{/if}	
	</tbody>
	</table>
</div>
</div>
{/if}{/literal}
</textarea>	
		</li>	
	
		<li><b>Refresh System Hooks</b><p>Go to &quot;Settings -> Manage Hooks -> price tiers&quot; then press the  &quot;SAVE&quot; button.</p></li>		
	
	</ol>
	
	
	
	
  </div>
  
  {$MODULE_ZONES}
  
  <div class="form_control">
	<input type="submit" name="save" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
</form>